/* --------------------------------------
/*  Mini sidebar.
/* -------------------------------------- */
.mini-sidebar  {
  #sidebar {
    position: fixed;
    padding-top: 0;
    width: $sidebar-width-small !important;
    z-index: 10;
    transition: all .2s ease-out;
  }

  .logo-wrapper {
    width: $sidebar-width-small !important;
  }

  #metismenu {
    padding-top: 0 !important;

    > li {
      padding: 0 !important;
      white-space: nowrap;
      margin-bottom: 0 !important;

      &:hover {
        width: $sidebar-width;
        background: $sidebar-background;
        display: flex;

        span {
          display: block;
          padding-left: 2.5rem;
        }

        ul {
          display: block;

          &.mm-collapse {
            display: none;
          }

          &.mm-show {
            display: block;
          }

          li {
            padding-left: 3.5rem;
          }
        }
      }

      ul {
        background: $sidebar-background;
        width: 30rem;
        margin-top: 0;
        padding: 1rem 0 1.4rem;
        position: absolute;
        top: 3.5rem;
        display: none;
      }

      .mark-active {
        left: 0 !important;
      }

      > a {
        display: flex;
        align-items: center;
        cursor: pointer;

        &:hover {
          width: $sidebar-width;
          background: $sidebar-background;
        }

        span {
          display: none;
        }
      }
    }
  }

  .sidebar-icon {
    margin: 0.5rem 0 0.5rem 1.5rem
  }

  .has-arrow:after {
    display: none !important;
  }
}

/* --------------------------------------
/*  Normal sidebar.
/* -------------------------------------- */
#sidebar {
  width: $sidebar-width;
  background-color: $sidebar-background;
  color: $white;
  height: 100%;
  position: fixed;
  z-index: 10;
  transition: all .2s ease-out;
  top: $header-height;

  ul {
    padding: 0;
    margin: 0;
    list-style: none;

    &#metismenu  {
      padding-top: 1.6rem;

      > li {
        position: relative;
        padding: 0 2rem;
        margin-bottom: 0;

        &.mm-active > a {
          color: $white;
          font-weight: 600;
        }

        > a {
          cursor: pointer;
          padding: 1rem 0;
        }

        .sidebar-icon {
        }
      }
    }

    li {
      margin-bottom: 1rem;

      &:last-child {
        margin-bottom: 0;
      }

      &.active > a {
        color: $white;
        font-weight: 600;
      }

      &.mm-active a.has-arrow:after {
        top: 40% !important;
        transform: rotate(225deg) translateY(-50%);
      }

      .mark-active {
        display: none;
        position: absolute;
        background: #fff;
        top: 0;
        left: -2rem;
        z-index: 999999;
        width: 0.4rem;
        height: 100%;

        &:before {
          content: "\200B";
        }
      }

      a.has-arrow:after {
        transform: rotate(135deg) translateY(-50%);
      }

      a {
        color: $gray-500;
        display: block;
        position: relative;

        span {
          margin-left: 1rem;
        }
      }

      ul {
        a {
          color: $gray-500;
          padding-left: 4rem;

          &.active {
            color: $white;
            font-weight: 600;
          }
        }
      }
    }
  }
}
